Bug 145899 - Blender 2.36 crashes on Fedora Core 3
Blender 2.36 crashes on Fedora Core 3
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-23 09:14 EST by Paolo Prandini
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 08:27:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Prandini 2005-01-23 09:14:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Running Blender 2.36 in both static and non static version, regardless
of X harware acceleration (dri on/off) on Fedora Core 3 is not
possible due to crashes. The same was not happening on Fedora Core 2. 

Version-Release number of selected component (if applicable):
6.8.1-12.FC3.21

How reproducible:
Always

Steps to Reproduce:
1. Download Blender from blender site both static and non static version
2. Download demo_loop.zip file from blender site 
3. expand blender in two diferent directories using tar -zxvf 
4. expand demo_loop.zip into a directory of your choice
5. Run blender
6. open file airship_Penner.blend (should be in demos directory if you
did right on point 4.
7. Blender crashes after a short while, as long as auto rendering of
animation begins 
 
    

Actual Results:  Blender crashes when using both blender version
(static no HW-OpenGL) and non static (HW-OpenGl)

Expected Results:  As in Fedora Core 2, all works like a charm.
Animation is rendered and automatically it moves to the next file and
so on.

Additional info:

The HW :
P4HT 2.6Ghz, 512MB Ram, ATI Radeon 9200 128MB RAM.

Working FC2 Setup :
Kernel 2.6.10-1.9_FC2smp
xorg-x11-xfs-6.7.0-2
xorg-x11-Mesa-libGL-6.7.0-2
xorg-x11-6.7.0-2
xorg-x11-libs-6.7.0-2
xorg-x11-xauth-6.7.0-2
xorg-x11-Mesa-libGLU-6.7.0-2
xorg-x11-100dpi-fonts-6.7.0-2
xorg-x11-tools-6.7.0-2
xorg-x11-libs-data-6.7.0-2
xorg-x11-font-utils-6.7.0-2
xorg-x11-75dpi-fonts-6.7.0-2
xorg-x11-twm-6.7.0-2
xorg-x11-xdm-6.7.0-2
xorg-x11-base-fonts-6.7.0-2
xorg-x11-devel-6.7.0-2

FC3 Setup : 

Kernel : kernel-smp-2.6.10-1.741_FC3.i686.rpm

xorg-x11-6.8.1-12.FC3.21
xorg-x11-Mesa-libGL-6.8.1-12.FC3.21
xorg-x11-Mesa-libGLU-6.8.1-12.FC3.21
xorg-x11-Xdmx-6.8.1-12.FC3.21
xorg-x11-Xnest-6.8.1-12.FC3.21
xorg-x11-Xvfb-6.8.1-12.FC3.21
xorg-x11-deprecated-libs-6.8.1-12.FC3.21
xorg-x11-doc-6.8.1-12.FC3.21
xorg-x11-font-utils-6.8.1-12.FC3.21
xorg-x11-libs-6.8.1-12.FC3.21
xorg-x11-tools-6.8.1-12.FC3.21
xorg-x11-xauth-6.8.1-12.FC3.21
xorg-x11-xdm-6.8.1-12.FC3.21
xorg-x11-xfs-6.8.1-12.FC3.21
Comment 1 Sitsofe Wheeler 2005-01-23 13:38:40 EST
Is there anything in dmesg?
Comment 2 Mike A. Harris 2005-01-23 15:45:37 EST
> 7. Blender crashes after a short while, as long as auto rendering of
> animation begins

If Blender itself is crashing, then the problem is most likely a bug in
Blender itself, or a bug in libraries that Blender links to.  You will need
to file a Blender bug report to the authors of Blender, indicating the
details of your problem, etc. and they will then be able to investigate
the problem and debug their source code.  If they determine the problem is
a bug in an X11 library which is included in the X.Org X11 distribution,
then a bug report should be filed in the X.Org bugzilla.

http://bugs.freedesktop.org "xorg" component.

If the problem is in Blender itself, then they will probably address the
issue in a future release of Blender.  If the problem turns out to be
a legitimate bug in X.Org libraries, once X.Org developers investigate
the issue, it will probably be fixed in a future X.Org release.

Once you've filed your bug report to Blender and/or X.Org, you can paste
the bug report URLs here and we will periodically review them.  If X.Org
developers determine there is a flaw in X.Org causing this issue, and
produce a patch to fix it, we will then review the patch for consideration
in future Fedora Core xorg-x11 builds.

Hope this helps.

Comment 3 Mike A. Harris 2005-01-23 15:47:49 EST
Setting status to "NEEDINFO" and awaiting upstream bug report URL's for
tracking purposes.
Comment 4 Paolo Prandini 2005-01-24 02:40:32 EST
Hi. 

I will look at dmesg and do as instructed.
Is there any other log that can be useful to look at?

 - How can I completely disable HW GL acceleration apart from removing dri from
xorg.conf?

- Best Regards
- Paolo
Comment 5 Paolo Prandini 2005-01-24 03:43:31 EST
Hi. 

Dmesg reports nothing
Launching Blender in a terminal window I can see the exit message as 'segfault'.
Opened bug# 2170 on blender bugtracker.

- regards
- Paolo
Comment 6 Mike A. Harris 2005-02-11 15:30:54 EST
Please provide the full http URL to the blender bug report, as the
above link points to Red Hat bugzilla.
Comment 7 Paolo Prandini 2005-02-13 16:47:22 EST
Hi

Blender works fine if variable SDL_AUDIODRIVER=dma
is set prior to blender launch.
This was not necessary in FC2.
So it seems is DMA and audio...

new link :
http://projects.blender.org/tracker/?func=detail&atid=231&aid=2170&group_id=9

Hope it helps
- Best Regards
- Paolo
Comment 8 Mike A. Harris 2005-03-01 22:35:57 EST
From the best I can tell from this bug report, it is "blender" that
is crashing, and NOT the X server.  And this is somehow related
to how SDL audio is configured.  This sounds more like a kernel
driver issue, or a bug in SDL itself, and increasingly does not
sound at all like an Xorg bug/problem.

Reassigning to SDL component, to see if the sdl package
maintainer is familiar with this issue.  If it isn't an sdl
issue, I'd recommend reassigning it to the kernel component.
Comment 9 Paolo Prandini 2005-03-08 09:11:49 EST
Thanks for your time
I appreciate that.

- Regards
- Paolo
Comment 10 Thomas Woerner 2006-01-27 08:51:07 EST
Can you please have a look at the latest FC-4 update package of SDL (1.2.8-4)?

This version is using alsa output as default.

Is it solving your problems for FC-3, too?
Comment 11 John Thacker 2006-05-06 08:27:03 EDT
Closing due to lack of response by reporter.
Note that FC3 is now the responsibility of Fedora Legacy, and this
does not appear to be a security bug.  If the bug persists in FC4
or FC5, please reopen it.

Note You need to log in before you can comment on or make changes to this bug.